package com.hs.admin.dao;

import com.hs.admin.bean.AuthToken;
import com.hs.admin.util.DateUtil;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

public interface AuthTokenDao {
    int insert(AuthToken record);

    int getCount(String jcbId);

    AuthToken findToken(String jcbId);

    void updateToken(@Param("jcbId") String jcbId, @Param("token") String token, @Param("date") Date date);
}